Guard Yening:
The Sea of Spores? Please don't mention that name! Even now it makes me uncomfortable. It is a foul place, glutted with rotten mushrooms, fungus and zombies roaming about. Honestly, you will not find another place like it. A war between Men and Elves a long time ago left the sea into its current state...
Towers were erected to stop people from entering, to keep monsters from coming out of the sea and to stem the sea's expansion... You can see why it will be difficult to travel to and from the sea.
I have it on very good authority that the inner sea looks vastly different that the outer sea. The place is currently so dangerous that even Magisters dare not go there.
If you must go, I will tell you the way. Cross the river west of the Ivory Tower and continue westward. Follow the cliff south and you will see 4 towers. Those are the protection towers. You probably have a good idea of what to do next...
Return